import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/forumapp/forum/posttype/` + url, ...arg)

/**
 * 帖子分类表Api接口管理器
 *
 * @author 金吉龙
 * @date  2025/07/16 08:43
 **/
export default {
	// 获取帖子分类表分页
	forumPostTypePage(data) {
		return request('page', data, 'get')
	},
	// 提交帖子分类表表单 edit为true时为编辑，默认为新增
	forumPostTypeSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除帖子分类表
	forumPostTypeDelete(data) {
		return request('delete', data)
	},
	// 获取帖子分类表详情
	forumPostTypeDetail(data) {
		return request('detail', data, 'get')
	}}
